#!/bin/bash
DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
cd $DIR/..

# Download 
if [ ! -f data/swissprot.fasta ]; then
    wget ftp://ftp.ncbi.nih.gov/blast/db/FASTA/swissprot.gz
    gunzip swissprot.gz
    mv swissprot data/swissprot.fasta
    rm -f swissprot.gz
else
    echo skipped: data/swissprot.fasta already exists
fi

# if [ ! -f data/swissprot.fasta.pdb ]; then
#     makeblastdb -in data/swissprot.fasta -input_type fasta -title swissprot -dbtype prot
# else
#     echo skipped: swissprot DB already exists
# fi

(cd data && blastp -query brca1.fasta -db swissprot.fasta -outfmt 5 > ../output/brca1_swissprot_out.xml)
